summaryrefslogtreecommitdiffstats
path: root/games/toga2
diff options
context:
space:
mode:
author Marco Pessotto2010-05-12 23:29:35 +0200
committer Robby Workman2010-05-12 23:29:35 +0200
commit7f86bbbf655c3fe0a160c193fb0d126e6f87a354 (patch)
tree6e408122c8efa3df69eb51e9afd9057eca50323e /games/toga2
parent6eb3c30427dd9a9d3d7fa0906de33e6097313bb3 (diff)
downloadslackbuilds-7f86bbbf655c3fe0a160c193fb0d126e6f87a354.tar.gz
games/toga2: Added to 12.2 repository
Diffstat (limited to 'games/toga2')
-rw-r--r--games/toga2/README4
-rw-r--r--games/toga2/slack-desc19
-rw-r--r--games/toga2/toga2.6.gzbin0 -> 1217 bytes
-rw-r--r--games/toga2/toga2.SlackBuild60
-rw-r--r--games/toga2/toga2.info8
5 files changed, 91 insertions, 0 deletions
diff --git a/games/toga2/README b/games/toga2/README
new file mode 100644
index 0000000000..aea81d3dbf
--- /dev/null
+++ b/games/toga2/README
@@ -0,0 +1,4 @@
+Toga II is a Fruit 2.1 derivative. Fruit 2.1 is licensed under the GPL
+v2 or later. The same applies to these ports. This is a UCI engine,
+so you'll need to install an appropriate interface, such as Scid or
+Knights, or Polyglot to use it with Xboard.
diff --git a/games/toga2/slack-desc b/games/toga2/slack-desc
new file mode 100644
index 0000000000..03e018ecd4
--- /dev/null
+++ b/games/toga2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----hardy-ruler---------------------------------------------------------|
+toga2: toga2 (Free chess engine)
+toga2:
+toga2: Toga II is a Fruit 2.1 derivative. Fruit 2.1 is licensed under the GPL
+toga2: v2 or later. The same applies to these ports. This is a UCI engine,
+toga2: so you'll need to install an appropriate interface, such Scid or
+toga2: Knights, or Polyglot to use it with Xboard
+toga2:
+toga2: (http://alpha.uhasselt.be/Research/Algebra/Toga/)
+toga2:
+toga2:
+toga2:
diff --git a/games/toga2/toga2.6.gz b/games/toga2/toga2.6.gz
new file mode 100644
index 0000000000..48400e98b0
--- /dev/null
+++ b/games/toga2/toga2.6.gz
Binary files differ
diff --git a/games/toga2/toga2.SlackBuild b/games/toga2/toga2.SlackBuild
new file mode 100644
index 0000000000..12ba218fca
--- /dev/null
+++ b/games/toga2/toga2.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for toga2
+
+# Written by Marco Pessotto <melmothx@gmail.com>
+
+PRGNAM=toga2
+VERSION=${VERSION:-141SE_posix}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd src # weird tarball
+chmod -R u+w,go+r-w,a-s .
+chown -R root:root .
+
+make CXXFLAGS="-pipe $SLKCFLAGS \
+ -fno-exceptions -fno-rtti -Wall \
+ -fstrict-aliasing -fomit-frame-pointer"
+strip --strip-unneeded $PRGNAM
+mkdir -p $PKG/usr/games
+cp $PRGNAM $PKG/usr/games
+
+## Add the manpage (Thanks to Debian)
+mkdir -p $PKG/usr/man/man6
+cat $CWD/$PRGNAM.6.gz > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG COPYING copying.txt LICENSE readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/toga2/toga2.info b/games/toga2/toga2.info
new file mode 100644
index 0000000000..8d71e5fe5c
--- /dev/null
+++ b/games/toga2/toga2.info
@@ -0,0 +1,8 @@
+PRGNAM="toga2"
+VERSION="141SE_posix"
+HOMEPAGE="http://alpha.uhasselt.be/Research/Algebra/Toga"
+DOWNLOAD="http://alpha.uhasselt.be/Research/Algebra/Toga/posix_versions/toga2-141SE_posix.tar.gz"
+MD5SUM="25c8bc9c64ba375980d6ae981b745e31"
+MAINTAINER="Marco Pessotto"
+EMAIL="melmothx@gmail.com"
+APPROVED="rworkman"